Index Page dasdc_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       void dasdc_c ( SpiceInt handle )

#### Abstract

       Delete the entire comment area of a previously opened binary
       DAS file.

#### Required_Reading

       DAS

#### Keywords

       None.

#### Brief_I/O

       Variable  I/O  Description
       --------  ---  --------------------------------------------------
       handle     I   The handle of a binary DAS file opened for writing.

#### Detailed_Input

       handle    The handle of a binary DAS file that is to have its
                 entire comment area deleted. The DAS file should have
                 been opened with write access.

#### Detailed_Output

       None.

#### Parameters

       None.

#### Exceptions

       1)  If the binary DAS file attached to `handle' is not open with
           write access, an error will be signaled by a routine called
           by this routine.

#### Files

       See argument `handle' in $ Detailed_Input.

#### Particulars

       Binary DAS files contain an area which is reserved for storing
       annotations or descriptive textual information about the data
       contained in a file. This area is referred to as the ``comment
       area'' of the file. The comment area of a DAS file is a line
       oriented medium for storing textual information. The comment area
       preserves any leading or embedded white space in the line(s) of text
       which are stored, so that the appearance of the information will be
       unchanged when it is retrieved (extracted) at some other time.
       Trailing blanks, however, are NOT preserved, due to the way that
       character strings are represented in standard Fortran 77.

       This routine will delete the entire comment area from the binary
       DAS file attached to `handle'. The size of the binary DAS file will
       remain unchanged. The space that was used by the comment records
       is reclaimed.

#### Examples

       Let

             `handle' be the handle for a DAS file which has been opened
             with write access.

       The call

             dasdc_c ( handle )

       will delete the entire comment area of the binary DAS file
       attached to `handle'.

#### Restrictions

       None.

#### Literature_References

       None.

#### Author_and_Institution

       N.J. Bachman   (JPL)
       K.R. Gehringer (JPL)

#### Version

       -CSPICE Version 1.0.0, 11-NOV-2016 (NJB) (KRG)

#### Index_Entries

        delete das comment area

#### Link to routine dasdc_c source file dasdc_c.c

    Wed Apr  5 17:54:31 2017